Void a Charge
curl --request POST \
--url https://api.flutterwave.com/v3/charges/{flw_ref}/void \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/charges/{flw_ref}/void"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/charges/{flw_ref}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Charge voided",
"data": {
"id": 4973327,
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"flw_ref": "FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9",
"device_fingerprint": "N/A",
"amount": 100,
"charged_amount": 100,
"app_fee": 5.8,
"merchant_fee": 0,
"processor_response": "Approved",
"auth_model": "NOAUTH",
"currency": "NGN",
"ip": "52.209.154.143",
"narration": "FLW-PBF CARD Transaction ",
"status": "voided",
"auth_url": "N/A",
"payment_type": "card",
"plan": null,
"fraud_status": "ok",
"charge_type": "preauth",
"created_at": "2024-03-18T10:04:04.000Z",
"account_id": 20937,
"customer": {
"id": 2373843,
"phone_number": null,
"name": "Anonymous customer",
"email": "developers@flutterwavego.com",
"created_at": "2024-03-18T10:04:03.000Z"
},
"card": {
"first_6digits": "537728",
"last_4digits": "7450",
"issuer": "MASTERCARD JSB PROBUSINESSBANK CREDITGOLD",
"country": "RU",
"type": "MASTERCARD",
"expiry": "09/31"
}
}
}{
"status": "error",
"message": "No PBTX transaction found",
"data": null
}Preauthorization
Void a Charge
Void the payment of a previously captured preauth charge
POST
/
charges
/
{flw_ref}
/
void
Void a Charge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Example:
"FLW-MOCK-PREAUTH-1c4b0406fccc0fad316b46f947e870e9"
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 4973065,
"tx_ref": "YOUR_UNIQUE_REFERENCE",
"flw_ref": "FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1",
"device_fingerprint": "N/A",
"amount": 100,
"charged_amount": 100,
"app_fee": 1.4,
"merchant_fee": 0,
"processor_response": "Please enter the OTP sent to your mobile number 080****** and email te**@rave**.com",
"auth_model": "NOAUTH",
"currency": "NGN",
"ip": "52.209.154.143",
"narration": "CARD Transaction ",
"status": "successful",
"auth_url": "https://ravesandboxapi.flutterwave.com/mockvbvpage?ref=FLW-MOCK-2477a2b9d7845b31976cd50c0af890f1&code=00&message=Approved.%20Successful&receiptno=RN1710749806478",
"payment_type": "card",
"plan": null,
"fraud_status": "ok",
"charge_type": "normal",
"created_at": "2024-03-18T08:16:46.000Z",
"account_id": 20937,
"customer": {
"id": 2373734,
"phone_number": null,
"name": "Anonymous customer",
"email": "developers@flutterwavego.com",
"created_at": "2024-03-18T08:16:46.000Z"
},
"card": {
"first_6digits": "553188",
"last_4digits": "2950",
"issuer": "MASTERCARD CREDIT",
"country": "NG",
"type": "MASTERCARD",
"expiry": "09/32"
}
}
Was this page helpful?
⌘I